> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/debit-transaction/features/static-transaction.md).

# Static Transaction Integration

#### Integration Step

1. Inquiry Transaction
2. Inquiry Payment
3. Payment Notification

## Inquiry Transaction

<mark style="color:blue;">`GET`</mark> `https://url_merchant/va_static/signature?type=inquiry`

#### Query Parameters

<table><thead><tr><th width="131">Name</th><th width="115">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>VA</td><td>String</td><td>Virtual Account Number</td></tr><tr><td>Signature</td><td>String</td><td>sha1(md5($user_id.$password.$va_number));</td></tr><tr><td>type</td><td>String</td><td>type = inquiry</td></tr></tbody></table>

{% tabs %}
{% tab title="200 Sample Inquiry Transaction response (JSON)" %}

```json
{
   "response": "VA Static Response",
   "va_number": "8641162021000007",
   "amount": "10000",
   "cust_name": "suyanto",
   "response_code": "00"
}
```

{% endtab %}

{% tab title="200 Sample Inquiry Transaction response (XML) " %}

```xml
<faspay>
<response>VA Static Response</response>
<va_number>8641162021000007</va_number>
<amount>10000</amount>
<cust_name>suyanto</cust_name>
<response_code>00</response_code>
</faspay>
```

{% endtab %}
{% endtabs %}

**Example:** \
<https://url_merchant/8641162021000007/d5f91b5fe05f6d2b186c78356b96af355db410ad?type=inquiry>

**Response Parameter Inquiry Transaction**

| Parameter      | Data Type         | M/O/C     | Description                        |
| -------------- | ----------------- | --------- | ---------------------------------- |
| response       | Alphanumeric (50) | Mandatory | VA Static Response                 |
| va\_number     | Numeric (16)      | Mandatory | Virtual Account Number             |
| amount         | Numeric           | Mandatory | Amount                             |
| cust\_name     | Alphanumeric (50) | Mandatory | Nomor ID Customer                  |
| response\_code | Char (2)          | Mandatory | <p>00 = Success<br>01 = Failed</p> |

## Inquiry Payment

<mark style="color:blue;">`GET`</mark> `https://url-merchant/va_static/signature?type=payment&trx_uid=&amount=`

#### Query Parameters

<table><thead><tr><th width="167">Name</th><th width="131">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>VA number</td><td>String</td><td>Virtual Account Number</td></tr><tr><td>Signature</td><td>String</td><td>sha1(md5($user_id.$password.$va_number));</td></tr><tr><td>type</td><td>String</td><td>type = payment</td></tr><tr><td>trx_uid</td><td>String</td><td>Unix transaction number on Faspay</td></tr><tr><td>Amount</td><td>Number</td><td>Amount transaction</td></tr></tbody></table>

{% tabs %}
{% tab title="200 Sample Respon Inquiry Payment (JSON)" %}

```json
{
  "response": "VA Static Response",
  "va_number": "8641162021000007",
  "amount": "10000",
  "cust_name": "suyanto",
  "response_code": "00",
}
```

{% endtab %}

{% tab title="200 Sample Respon Inquiry Payment (XML)" %}

```xml
<faspay>
    <response>VA Static Response</response>
    <va_number>8641162021000007</va_number>
    <amount>10000</amount>
    <cust_name>suyanto</cust_name>
    <response_code>00</response_code>
</faspay>
```

{% endtab %}
{% endtabs %}

**Example:** [https://merchant.com/8641162021000007/d5f91b5fe05f6d2b186c78356b96af355db410ad?type=payment\&trx\_uid=8985313800001073\&amount=10000](https://url_merchant/8641162021000007/d5f91b5fe05f6d2b186c78356b96af355db410ad?type=payment\&trx_uid=8985313800001073\&amount=10000)

**Response Parameter Inquiry Payment**

<table><thead><tr><th width="181">Parameter</th><th>Data Type</th><th width="132">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>response</td><td>Alphanumeric (50)</td><td>Mandatory</td><td>VA Static Response</td></tr><tr><td>va_number</td><td>Numeric (16)</td><td>Mandatory</td><td>Virtual Account Number</td></tr><tr><td>amount</td><td>Numeric</td><td>Mandatory</td><td>Amount</td></tr><tr><td>cust_name</td><td>Alphanumeric (50)</td><td>Mandatory</td><td>Request Description</td></tr><tr><td>response_code</td><td>Char (2)</td><td>Mandatory</td><td>00 = Success<br>01 = Failed</td></tr></tbody></table>

## Payment Notification

For payment notification process will use the same API as Faspay debit, see the details in [payment notification reference](/merchant-integration/api-reference-1/debit-transaction/payment-notification.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/debit-transaction/features/static-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
